//Textbook: Introduction to heat transfer 
//Author: S.K.Som
//Publisher: PHI Learning Pvt. Ltd., New Delhi
//2008

//Chapter 1:Fundamental Concepts
//Example :1.1 page 4
//Topic:Thick homogeneus slab
//===================================================================================
model Ex1_1

//====================
//Parameter section

parameter Real L(unit = "m")=0.08"Thickness of the slab";
parameter Real T1(unit = "degree celcius")=40"Temperature on front face of slab";
parameter Real T2(unit ="degree celcius")=20"Temperature on back face of the slab";
parameter Real k(unit="W/mK")=0.2 "thermal conductivity";

//====================
//Variable section

Real q(unit="W/m^2")"Heat transfer per unit area";

//====================
//Equation section
//Steady state equation
equation
q=(k/L)*(T1-T2);
end Ex1_1;
//==================================
