//Textbook: Introduction to heat transfer 
//Author: S.K.Som
//Publisher: PHI Learning Pvt. Ltd., New Delhi
//2008

//Chapter 2: One dimensional Steady state Heat Conduction 
//Example : 2.14 page 79
//Topic:Rods of same diameter
//==============================================================================

model Ex2_14

//===============================
//parameter section

parameter Real Xa(unit="m")=0.15"Position of the rod A";
parameter Real Xb(unit="m")=0.075"Position of the rod B";
parameter Real Ka(unit="W/mK")=72"Thermal conductivity of rod A";

//===============================
//Variable section

Real Kb(unit="W/mK")"Thermal conductivity of rod B";

//===============================
//Equation section

equation
Kb=Ka*((Xb/Xa)^2);

end Ex2_14;
